<?php
/*
    Parseur de donnes pour il-2/fb.
    Copyright (C) 2006,2007  Pain Julien
*/
 function imagettfcadre($pic , $size , $x , $y , $color , $police , $l , $saut_ligne , $texte) {
/* Vous pouvez utiliser cette fonction comme bon vous semble, par contre si vous effectuez des amliorations ou trouviez des bugs,
* je vous remercie par avance de m'en informer  gml@communautephp.com

* Paramtres :
* $pic : identifiant d'image
* $size : taille de police
* $x : largeur de l'image
* $y : hauteur de l'image
* $color : couleur obtenue par imagecolorallocate()
* $police : url de la police
* $l : longueur du cadre
* $saut_ligne : espacement entre 2 lignes
* $text : texte  crire

*/
if (!is_resource($pic) OR !is_int($color) OR $size == 0) return FALSE;
$l_espace = imagettfbbox($size,0,$police,"-");
$l_espace = $l_espace[2]-$l_espace[0];

$lignes = explode("\n", $texte);
for ($i=0;$i<count($lignes);$i++)
{
$mots = explode(" ",$lignes[$i]);
$l_temp = 0;
for ($j=0;$j<count($mots);$j++)
{
$mots[$j] = $mots[$j];
$l_mot = imagettfbbox($size,0,$police,$mots[$j]);
$l_mot = $l_mot[2]-$l_mot[0];
if ($l_mot+$l_temp<=$l)
{
imagettftext($pic,$size,0,$x+$l_temp,$y,$color,$police,$mots[$j]);
$l_temp += $l_mot+$l_espace;
}
else
{
$y += $saut_ligne + $size;
imagettftext($pic,$size,0,$x,$y,$color,$police,$mots[$j]);
$l_temp = $l_mot+$l_espace;
}
}
$y += $saut_ligne + $size;
}
return $y;

}


header("Content-type: image/png");

$nom_pilote=$_GET['pilote'];
$vol=$_GET['vol'];
$avion=$_GET['avion'];
$tps_vol=$_GET['tps_vol'];
$fuel=$_GET['fuel'];
$emport=$_GET['emport'];
$li_vict=$_GET['li_vict'];
$li_coll=$_GET['li_coll'];
$li_dam=$_GET['li_dam'];
$li_sol=$_GET['li_sol'];

$etat_pil=$_GET['etat_pil'];
$etat_av=$_GET['etat_av'];
$eject=$_GET['eject'];

$image=imagecreate(800,120);
$font="../font/JOURNAL.TTF";
$tampon="../font/Stampa_.ttf";
$fond=imagecolorallocate($image,242,225,199);
$black=imagecolorallocate($image,0,0,0);
$encre_bleu=imagecolorallocate($image,83,71,103);
$encre_rouge=imagecolorallocate($image,223,77,100);
$tampon_rouge=imagecolorallocate($image,167,73,89);

ImageLine($image,0,119,800,119,$black);
ImageLine($image,55,0,55,119,$black);
ImageLine($image,255,0,255,119,$black);
ImageLine($image,325,0,325,119,$black);
imagettftext($image,20,0,20,20,$encre_bleu,$font,$vol);
imagettftext($image,20,0,60,20,$encre_bleu,$font,$avion);
imagettftext($image,20,0,260,20,$encre_bleu,$font,$tps_vol);
imagettftext($image,20,0,330,20,$encre_bleu,$font,$fuel."% de carburant, armement : $emport");

$h_ligne=50;
if ($li_vict!=""){
    imagettftext($image,20,0,330,$h_ligne,$encre_rouge,$font,"abattu ".$li_vict);
    $h_ligne=$h_ligne+30;
    }
if ($li_coll!=""){
    if ($li_dam!=""){
        imagettftext($image,20,0,330,$h_ligne,$encre_rouge,$font,"abattu en collaboration ".$li_coll." et endommag ".$li_dam);
        $h_ligne=$h_ligne+30;
        }
      else{
        imagettftext($image,20,0,330,$h_ligne,$encre_rouge,$font,"abattu en collaboration ".$li_coll);
        $h_ligne=$h_ligne+30;
        }
    }
  else{
    if ($li_dam!=""){
        imagettftext($image,20,0,330,$h_ligne,$encre_rouge,$font,"endommag ".$li_dam);
        $h_ligne=$h_ligne+30;
        }
    }
if ($li_sol!=""){
    $li_sol="dtruit ".$li_sol;
    imagettfcadre($image,20,330,$h_ligne,$encre_rouge,$font,470,0,$li_sol);
    /*imagettftext($image,20,0,330,110,$encre_rouge,$font,"dtruit ".$li_sol);*/
    }
if ($etat_pil=="mort"){
    imagettftext($image,40,30,250,100,$tampon_rouge,$tampon,"mia");
    }
  else{
    if ($etat_av=="dtruit"){
        imagettftext($image,20,15,70,55,$encre_rouge,$font,"dtruit");
        if ($eject=="ject"){
            imagettftext($image,20,15,80,75,$encre_rouge,$font,"saut en parachute");
            }
        }
    if ($etat_av=="endommag"){
        imagettftext($image,20,15,70,55,$encre_rouge,$font,"endommag");
        }
    }

imagepng($image);

?>
