<!--    $Id: script-nexen.php,v 1.2 2003/12/01 11:38:43 publi Exp $    -->
<!--	$Id: connectlib.php,v 1.1 2001/11/20 09:04:45 sam Exp $	-->
<!--    $Id: commun.inc,v 1.3 2004/07/01 13:17:45 publi Exp $    -->
<!--    $Id: db.inc,v 1.3 2004/07/01 13:17:45 publi Exp $    -->

<!--    $Id: menu.inc,v 1.3 2004/08/21 02:50:17 publi Exp $    -->
<?php
/*
 *
 *
 * Avertissement : Cette librairie de fonctions PHP est distribuee avec l'espoir 
 * qu'elle sera utile, mais elle l'est SANS AUCUNE GARANTIE; sans meme la garantie de 
 * COMMERCIALISATION ou d'UTILITE POUR UN BUT QUELCONQUE.
 * Elle est librement redistribuable tant que la presente licence, ainsi que les credits des 
 * auteurs respectifs de chaque fonctions sont laisses ensembles. 
 * En aucun cas, Nexen.net ne pourra etre tenu responsable de quelques consequences que ce soit
 * de l'utilisation ou la mesutilisation de ces fonctions PHP.

*/

/****
 * Titre : Supprime les entrees vides 
 * Auteur : Damien Seguy
 * Email : damien.seguy@nexen.net
 * Url : www.nexen.net/
 * Description : Supprime les entrees vides d'un tableau. 
Les entrees vides sont les entrees "empty()".
Retourne un tableau contenant les entrees non vides.
****/
function array_non_empty($array){
$retour = array();
        foreach ($array as $a){
                if (!empty($a)){ array_push($retour, $a); }
        }
        return $retour;
}

/****
 * Titre : Coupe une phrase en mots 
 * Auteur : Damien Seguy modifi par Julien Pain(juste les dlimiteurs)
 * Email : damien.seguy@nexen.net
 * Url : www.nexen.net
 * Description : D?upe un texte en mots. 
Retourne un tableau avec les mots, dans l'ordre de la chaine.
****/
function split_words($string){
$retour = array();
        $delimiteurs = ' %';
        $tok = strtok($string," ");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_slash($string){
$retour = array();
        $delimiteurs = '/';
        $tok = strtok($string,"/");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}


function split_anti_slash($string){
$retour = array();
        $delimiteurs = '\\';
        $tok = strtok($string,"\\");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_crochets($string){
$retour = array();
        $delimiteurs = '[]';
        $tok = strtok($string,"[]");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_point($string){
$retour = array();
        $delimiteurs = '.';
        $tok = strtok($string,".");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_2points($string){
$retour = array();
        $delimiteurs = ':';
        $tok = strtok($string,":");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_bracket($string){
$retour = array();
        $delimiteurs = '()';
        $tok = strtok($string,"()");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        // return array_non_empty($retour);
        // afin de conserver le "O" pour le siege du pilote
        return $retour;
}

function split_dollar($string){
$retour = array();
        $delimiteurs = '$';
        $tok = strtok($string,"$");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

function split_under($string){
$retour = array();
        $delimiteurs = '_';
        $tok = strtok($string,"_");
        while (strlen(join(" ", $retour)) != strlen($string)) {
                array_push($retour, $tok);
                $tok = strtok ($delimiteurs);
        }
        return array_non_empty($retour);
}

?>
